Skip to main content
DELETE
/
v2
/
admin
/
phonebooks
/
{id}
Delete Phonebook
curl --request DELETE \
  --url https://api.voxo.co/v2/admin/phonebooks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "tenant": {
    "id": 123,
    "name": "<string>"
  },
  "name": "<string>",
  "includeExt": "<string>",
  "provisioning": 123,
  "contacts": [
    {
      "firstName": "<string>",
      "lastName": "<string>",
      "phone": "<string>",
      "email": "<string>",
      "routeTo": "<string>",
      "speedDial": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Phonebook ID

Pattern: ^[1-9]\d*$

Response

Pre-delete phonebook

id
number
required

Phonebook ID

tenant
object
required

Owning tenant

name
string
required

Phonebook name

includeExt
string
required

Whether tenant extensions are included

provisioning
number
required

Provisioning flag (1/0)

contacts
object[]
required

Contacts in this phonebook